<div class="card" [class]="'bg-' + BaseColorsTypes[type].toLowerCase()">
  <div #headerContent class="card-header" [hidden]="hideHeader">      
    <ng-content select="[header]"></ng-content>
  </div>
  <div class="card-body">
    <ng-content select="[body]"></ng-content>
  </div>
  <div #footerContent class="card-footer text-muted" [hidden]="hideFooter">
    <ng-content select="[footer]"></ng-content>
  </div>
</div>
